#ifndef __DISPLAY_H
#define __DISPLAY_H		1

#ifdef __cplusplus
extern "C" {
#endif

// ************************************************************* //

typedef struct _tagDisplayNode
{
	RectangleType vCtrlRect;
	Int16 vType;
	Char szTitle [MAX_DISPLAY_TITLE];
} DisplayNode;

// ************************************************************* //

Boolean DisplayProc (EventPtr event);

void LoadDefaultDisplays ();
void DrawDisplayGrid (FormPtr pForm, Int16 iOffsetX, Int16 iOffsetY, Int16 iWidth, Int16 iHeight);
void DrawStringValue (FormPtr pForm, Char *pLabel, Char *pValue, RectangleType *pCtrlRect, Boolean bSelected);
void DrawButtonValue (FormPtr pForm, Char *pText, RectangleType *pCtrlRect, Boolean bSelected);

#ifdef __cplusplus
}
#endif

#endif
