#ifndef __RESOURCE_H
#define __RESOURCE_H      1

#define IDC_RESULT              1000
#define IDC_EDITLINE            1001
#define IDC_CURRENT             1002
#define IDC_OK                  1003
#define IDC_CANCEL              1004
#define IDC_TITLE               1005
#define IDC_DIE                 1006
#define IDC_MODIFIER            1007
#define IDC_NUMBER              1008
#define IDC_BEST                1009
#define IDC_COMPARE_TYPE1       1010
#define IDC_COMPARE_VALUE1      1011
#define IDC_COMPARE_LIST1       1012
#define IDC_BEEP_TYPE1          1013
#define IDC_BEEP_LIST1          1014
#define IDC_COMPARE_TYPE2       1015
#define IDC_COMPARE_VALUE2      1016
#define IDC_COMPARE_LIST2       1017
#define IDC_BEEP_TYPE2          1018
#define IDC_BEEP_LIST2          1019
#define IDC_COMPARE_TYPE3       1020
#define IDC_COMPARE_VALUE3      1021
#define IDC_COMPARE_LIST3       1022
#define IDC_BEEP_TYPE3          1023
#define IDC_BEEP_LIST3          1024
#define IDC_SUCCESS_TYPE		1025
#define IDC_SUCCESS_VALUE		1026
#define IDC_SUCCESS_LIST		1027
#define IDC_VIEW_ROLLS			1028
#define IDC_CLEAR_ROLLS			1029
#define IDC_ROLL_TYPE			1030
#define IDC_CHECK_DEL_ROLLS		1031
#define IDC_PREFS_MAX_ROLLS		1032
#define IDC_CHECK_ADV_CUSTOM	1033
#define IDC_ADV_CUSTOM_LIST		1034
#define IDC_ADV_CUSTOM_SCROLL	1035
#define IDC_RESULTS_SCROLL		1036
#define IDC_RESULTS_LIST		1037
#define IDC_RESULTS_TOTAL		1038
#define IDC_RESULTS_MEAN		1039
#define IDC_RESULTS_MEDIAN		1040
#define IDC_RESULTS_MODE		1041
#define IDC_RESULTS_GROUP		1042
#define IDC_RESULTS_STAT_TYPE	1043
#define IDC_RESULTS_STAT_LIST	1044
#define IDC_RESULTS_NAME_TYPE	1045
#define IDC_RESULTS_NAME_LIST	1046
#define IDC_HERTZ_FIELD			1047
#define IDC_DURATION_FIELD		1048
#define IDC_ADD					1049
#define IDC_DELETE				1050
#define IDC_EDIT				1051
#define IDC_INSERT_SOUND		1052
#define IDC_DELETE_SOUND		1053
#define IDC_EDIT_SOUND			1054
#define IDC_SOUND_SCROLL		1055
#define IDC_NOTE_SCROLL			1056
#define IDC_INSERT_NOTE			1057
#define IDC_DELETE_NOTE			1058
#define IDC_EDIT_NOTE			1059
#define IDC_TEST_SOUND			1060
#define IDC_SOUND_TABLE			1061
#define IDC_NOTE_TABLE			1062
#define IDC_ITEM_TYPE			1063
#define IDC_ITEM_LIST			1064
#define IDC_ITEM_FIELD			1065

#define IDC_CUSTOM_FIELD		1200
#define IDC_CUSTOM_TYPE			1201
#define IDC_CUSTOM_LIST			1202
#define IDC_CUSTOM_CHECK		1203

#define IDC_0					1900
#define IDC_1					1901
#define IDC_2					1902
#define IDC_3					1903
#define IDC_4					1904
#define IDC_5					1905
#define IDC_6					1906
#define IDC_7					1907
#define IDC_8					1908
#define IDC_9					1909
#define IDC_PLUSMINUS			1910
#define IDC_CLEAR				1911
#define IDC_BACKSPACE			1912
#define IDC_NUMBERSOK			1913
#define IDC_NUMBERSCANCEL		1914
#define IDC_INFO_FIELD			1915
#define IDC_INFO_SCROLL			1916
#define IDC_INFO_CHECK			1917

#define IDM_MAIN                2000
#define IDM_CUSTOM              2001
#define IDM_DISPLAY				2002
#define IDM_SOUND				2003
#define IDM_EDIT_UNDO           2004
#define IDM_EDIT_CUT            2005
#define IDM_EDIT_COPY           2006
#define IDM_EDIT_PASTE          2007
#define IDM_EDIT_SELECTALL      2008
#define IDM_EDIT_KEYBOARD       2009
#define IDM_EDIT_GRAFFITI       2010
#define IDM_OPTIONS_PREFS		2011
#define IDM_OPTIONS_DATABASE    2012
#define IDM_OPTIONS_ABOUT       2013
#define IDM_RECORD_ADD          2014
#define IDM_RECORD_DELETE       2015
#define IDM_RECORD_CLEAR        2016
#define IDM_EDIT_COPY_ROLL      2017
#define IDM_EDIT_PASTE_ROLL     2018
#define IDM_TOOLS_SOUND			2019
#define IDM_TOOLS_DISPLAY		2020
#define IDM_FORM_CLEAR			2021
#define IDM_FORM_DEFAULT		2022
#define IDM_ITEM_ADD			2023
#define IDM_ITEM_DELETE			2024
#define IDM_ITEM_EDIT			2025
#define IDM_ITEM_MOVE			2026
#define IDM_ITEM_CLOSE			2027

#define IDS_ABOUT_INFO			2500
#define IDS_ABOUT_TITLE			2501

#define IDB_MAIN                3000
    
#define IDF_MAIN                4000
#define IDF_CUSTOM              4001
#define IDF_SETS				4002
#define IDF_ABOUT               4003
#define IDF_ADVCUSTOM			4004
#define IDF_PREFS				4005
#define IDF_STRINGS				4006
#define IDF_COMBOS				4007
#define IDF_NUMBERS				4008
#define IDF_RESULTS				4009
#define IDF_EDIT_TITLE			4010
#define IDF_EDIT_NOTE			4011
#define IDF_SOUND               4012
#define IDF_DISPLAY				4013
#define IDF_DISPLAYITEM			4014
#define IDF_INFO				4015
#define IDF_DATABASEDEBUG		4998
#define IDF_TEMP                4999

#define IDA_ABOUT               5000
#define IDA_TITLE_ERROR         5001
#define IDA_RANGE_ERROR         5002
#define IDA_PAGE_CONFIRMATION   5003
#define IDA_CLEAR_DATABASE      5004
#define IDA_UPDATE_DATABASE     5005
#define IDA_NUMBERSERROR		5006
#define IDA_DELETE_CONFIRMATION	5007
#define IDA_CLOSE_CONFIRMATION	5008
#define IDA_NEED_SELECTION		5009
#define IDA_FORM_CLEAR			5010
#define IDA_FORM_DEFAULT		5011

#define IDR_SOUNDS				6000
#define IDR_DISPLAYS			6001


#endif
