#ifndef __STACKOBJ_H
#define __STACKOBJ_H		1

typedef struct _tagStackNode
{
	MemPtr pNext;
	UInt16 vData;
} StackNode;
typedef StackNode *StackNodePtr;
typedef StackNode StackObject;

void StackConstruct (StackObject *pStack);
void StackDestruct (StackObject *pStack);

void StackAddFront (StackObject *pStack, MemPtr pData, Int16 iSize);
void StackAddRear (StackObject *pStack, MemPtr pData, Int16 iSize);
void StackDelete (StackObject *pStack, Int16 iIndex);
void StackClear (StackObject *pStack);

MemPtr StackGetData (StackObject *pStack, Int16 iIndex);
Int16 StackGetCount (StackObject *pStack);

#endif
