#ifndef __TABCTRL_H
#define __TABCTRL_H			1

#ifdef __cplusplus
extern "C" {
#endif

//#define _TABCALLBACK_

#define TABCTRL_NOTAP		0xffff

#ifdef _TABCALLBACK_
typedef void (*TabCtrlFuncPtr)(FormPtr pForm, UInt16 wTabId, Int16 iTotalTab, Int16 iCurrentTab, Int16 iTapTab);
#endif

void TabCtrlConstructor (FormPtr pForm, UInt16 wTabId, Char *pTabs);
void TabCtrlDestructor (FormPtr pForm, UInt16 wTabId);

#ifdef _TABCALLBACK_
void TabCtrlSetCallback(FormPtr pForm, UInt16 wTabId, TabCtrlFuncPtr pCallback);
#endif

void TabCtrlSetUsable (FormPtr pForm, UInt16 wTabId, Boolean bUsable);
Boolean TabCtrlGetUsable (FormPtr pForm, UInt16 wTabId);
void TabCtrlDraw (FormPtr pForm, UInt16 wTabId);
Int16 TabCtrlTap (FormPtr pForm, UInt16 wTabId, EventPtr pEvent);

Int16 TabCtrlTotal (FormPtr pForm, UInt16 wTabId);
Int16 TabCtrlCurrent (FormPtr pForm, UInt16 wTabId);
Int16 TabCtrlStart (FormPtr pForm, UInt16 wTabId);

void TabCtrlSetCurrent (FormPtr pForm, UInt16 wTabId, Int16 iCurrent);
void TabCtrlSetStart (FormPtr pForm, UInt16 wTabId, Int16 iStart);

#ifdef __cplusplus
}
#endif

#endif
