#include "StdInc.h"
#include "RollEm.h"
#include "EditTitle.h"
#include "Sound.h"

/*
Boolean EditTitleProc (EventPtr event)
{
	FormPtr pForm = FrmGetActiveForm();
	Boolean bHandled = false;

    switch (event->eType) 
    {
        case ctlSelectEvent:
		{
            switch (event->data.ctlEnter.controlID)
            {
			case IDC_OK:
				bHandled = false; // If handled the dialog will not close.
				break;
			case IDC_CANCEL:
				bHandled = false;
				break;
            }
            break;
		}
	}

	return bHandled;
}
*/
UInt16 DoEditTitle (SoundPtr pSound)
{
	static Boolean bInit = false;
	FormPtr pForm, pOldForm;
	UInt16 wResult;
	MemHandle hTitle;
	Char *pTitle;

	wResult = 0;
	pOldForm = FrmGetActiveForm();
	if (pForm = FrmInitForm(IDF_EDIT_TITLE))
	{
		// Do the one time initialization 
		//  of the Sound dialog here.
		if (!bInit)
		{
			bInit = true;
		}

		// Do the every time initialization 
		//  of the Sound dialog here.
		hTitle = SetField (pForm, IDC_TITLE, MAX_TITLE_LEN, ((pSound) ? pSound->szTitle : ""));
		AutoShiftField(pForm, IDC_TITLE, true);
		FrmSetFocus(pForm, FrmGetObjectIndex(pForm, IDC_TITLE));

		// Show the dialog.
//		FrmSetEventHandler(pForm, (FormEventHandlerPtr) EditTitleProc);
		wResult = FrmDoDialog(pForm);

		if (wResult == IDC_OK)
		{
			pTitle = (Char*)MemHandleLock(hTitle);
			if (StrLen(pTitle) > 0)
			{
				if (pSound == 0)
				{
					Int16 iCount;

					iCount = GetSoundCount();
					AddSound(iCount, 0);
					GetSound(iCount, &pSound);
				}
				if (pSound)
					StrCopy(pSound->szTitle, pTitle);
			}
			MemHandleUnlock(hTitle);
		}

		// We now return to our other window.
		if (pOldForm)
			FrmSetActiveForm(pOldForm);
		FrmDeleteForm(pForm);
	}

	return wResult;
}
