#ifndef __ROLLFUNC_H
#define __ROLLFUNC_H        1

#ifdef __cplusplus
extern "C" {
#endif

/***************************************************************\
 *                 Construction functions                      *
\***************************************************************/

void RollFuncConstructor ();
void RollFuncDestructor ();

/***************************************************************\
 *                     List functions                          *
\***************************************************************/

void CopyList ();
void PushList ();
void PopList();

void CreateList1 (Int16 iSize);
void CreateList2 (Int16 iSize, Int16 iDie);
void CreateList3 (Int16 iSize, Int16 iNumber, Int16 iDie, Int16 iModifier);
void DestroyList ();

Int16 GetTotalSizeList ();
Int16 GetCurrentSizeList ();

Int16 GetElementList (Int16 iIndex);
void SetElementList (Int16 iIndex, Int16 lValue);

Int16 *GetList ();
void ReleaseList ();

Int32 SumList ();
Int32 MeanList ();
Int32 MedianList ();
Int32 ModeList ();

void SizeList (Int16 iSize);
void SortList ();
void ShuffleList ();
void ReverseList ();

/***************************************************************\
 *                     Field functions                         *
\***************************************************************/

Int16 CreateRoll (Int16 iNumber, Int16 iDie, Int16 iModifier);

#ifdef __cplusplus
}
#endif

#endif
