#ifndef __STRINGCTRL_H
#define __STRINGCTRL_H			1

#ifdef __cplusplus
extern "C" {
#endif

#define STRINGCTRL_NOTAP		0x0000
#define STRINGCTRL_NOCLICK		0x0001
#define STRINGCTRL_TAP			0x0002

#define STRINGCTRL_LEFT			DC_LEFT
#define STRINGCTRL_CENTER		DC_CENTER
#define STRINGCTRL_RIGHT		DC_RIGHT

void StringCtrlConstructor (FormPtr pForm, UInt16 wStringId, Char *pString, 
							UInt16 wFrameType, UInt16 wAlignment,
							Boolean bClickable, Boolean bGrayRect);
void StringCtrlDestructor (FormPtr pForm, UInt16 wStringId);

void StringCtrlSetUsable (FormPtr pForm, UInt16 wStringId, Boolean bUsable);
Boolean StringCtrlGetUsable (FormPtr pForm, UInt16 wStringId);
void StringCtrlDraw (FormPtr pForm, UInt16 wStringId);
Int16 StringCtrlTap (FormPtr pForm, UInt16 wStringId, EventPtr pEvent);

void StringCtrlSetString (FormPtr pForm, UInt16 wStringId, Char *pString);
void StringCtrlGetString (FormPtr pForm, UInt16 wStringId, Char *pString);

#ifdef __cplusplus
}
#endif

#endif
